Subject: Re: git svn fetch segfaults

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jan 2008 12:14:19 -0800

Dennis Schridde <[email-masked]> writes:

> Am Mittwoch, 9. Januar 2008 01:33:07 schrieb Miklos Vajna:
>> On Tue, Jan 08, 2008 at 11:25:45PM +0100, Dennis Schridde 
> <[email-masked]> wrote:
>> > mkdir org.gna.warzone2100.git
>> > cd org.gna.warzone2100.git
>> > git --bare init
>> > git --bare svn init --use-svnsync-props --stdlayout
>> > file:///var/svn/warzone2100/
>> > git --bare svn fetch
>>
>> wget http://svn.kynes.de/warzone2100.bz2
>>
>> svnadmin create warzone2100 && bzcat warzone2100.bz2 | svnadmin load
>> warzone2100
>>
>> the rest is the same i get a segfault at the very same place.
>>
>> > If I do not specify --use-svnsync-prop to "git svn init", it gets past
>> > r13 in tags/1.10a.
>>
>> same.
>>
>> > I am using these versions:
>> > svn, version 1.4.6 (r28521)
>> > git version 1.5.4.rc2
>>
>> $ svn --version
>> svn, version 1.4.5 (r25188)
>>
>> $ git --version
>> git version 1.5.4.rc2.38.gd6da3
> Same with git version 1.5.3.7

Has anybody determined which executable is the segfaulting one?

If it is svn executable spawned by Perl that runs git-svn, or
libsvn shared object linked to Perl while running git-svn, I
suspect testing with different git versions will not be very
productive.